NXOpen .NET Reference  12.0.0
NXOpen.Routing.ControlPointCollection Member List

This is the complete list of members for NXOpen.Routing.ControlPointCollection, including all inherited members.

CheckExisting enum nameNXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Point3d position, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Routing.Port port, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.TaggedObject @object, double objectParm, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Point point, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.IBaseCurve conic, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Routing.IRoutePosition startObject, NXOpen.Vector3d offset, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
CreateControlPoint(NXOpen.Routing.ControlPoint cpOcc, NXOpen.Routing.ControlPointCollection.CheckExisting checkExisting, out NXOpen.Routing.ControlPointCollection.FoundExisting foundExisting)NXOpen.Routing.ControlPointCollection
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.ControlPointCollectionprotected
FindControlPoint(NXOpen.Point3d position, double tolerance)NXOpen.Routing.ControlPointCollection
FoundExisting enum nameNXOpen.Routing.ControlPointCollection
TagNXOpen.Routing.ControlPointCollection
ToArray()NXOpen.Routing.ControlPointCollection
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.